Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.threads
Interface ThreadPool.ThreadPoolListener

Enclosing class:
  ThreadPool

    public static interface ThreadPool.ThreadPoolListener

Interface to allow applications to be notified when a threads are created and stopped.

Method Summary
`void` | `threadEnd(ThreadPool tp, java.lang.Thread t)`
`void` | `threadStart(ThreadPool tp, java.lang.Thread t)`

Method Detail

### threadStart

    void threadStart(ThreadPool tp,
                     java.lang.Thread t)

### threadEnd

    void threadEnd(ThreadPool tp,
                   java.lang.Thread t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.